Skip to content

Reject a bill payment

Request

🔒 Private label — contact sales. Requires a private-label entitlement on your API client.

Reject a bill payment

Security
oauth2ClientCredentials(Required scopes: approvals:write)
Query
billIdstringrequired
paymentIdstringrequired
Headers
org_wallet_refstring

Organization wallet reference, defaults to "1" if not provided

business_idstringrequired

Business identifier for the request

Bodyapplication/jsonrequired
reasonstringrequired

Reason for rejecting the bill payment

Example:"test"
curl -i -X DELETE \
  'https://developer.boyahq.com/_mock/v2/openapi/approvals/bills/reject?billId=string&paymentId=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string' \
  -d '{
    "reason": "test"
  }'

Responses

Bill payment rejected successfully